<?php
/*
Plugin Name: Donalibros
Plugin URI: https://productdesigner.es
Description: Plugin para dotar de funcionalidad a la aplicación de Donalibros
Version: 0.1.0
Author: Fran Gallardo (PDA)
Author: https://gallardoramos.com
License: MIT
License URI: https://opensource.org/licenses/MIT
Text domain: donalibros-plugin
*/

defined('ABSPATH') or die;

// Funcionalidad para añadir role customizado "donante"
function pda_add_donante_role() {
	add_role( 'donante', 'Donante', array (
		'read'	=> true,
		'edit_post'	=>	true,
		'remove_post'	=>	true,
		'delete_published_post'	=> true,
		'publish_posts'	=> true,
		'upload_files'	=> true,
		'edit_published_posts'	=> true
	) );
}

function pda_remove_donante_role() {
  remove_role( 'donante' );
}

// add_action('init', 'pda_remove_donante_role');
register_activation_hook( __FILE__, 'pda_add_donante_role' );
register_deactivation_hook( __FILE__, 'pda_remove_donante_role' );